/*
	DITLFormat.h
	Copyright 1997 Nathan Dwyer, All Rights Reserved.
	
	Data format information
*/


const long kDITLVersion = 1L;

const ulong kDITLRsrcSizeOffset = 0L;
const ulong kDITLVersionOffset = kDITLRsrcSizeOffset + sizeof(long);
const ulong kDITLNextIDOffset = kDITLVersionOffset + sizeof(long);
const ulong kDITLWindowInfoOffset = kDITLNextIDOffset + sizeof(long);


// window
const ulong kDITLWindowSizeOffset = kDITLWindowInfoOffset;
const ulong kDITLWindowFrameLOffset = kDITLWindowSizeOffset + sizeof(long);
const ulong kDITLWindowFrameTOffset = kDITLWindowFrameLOffset + sizeof(float);
const ulong kDITLWindowFrameWOffset = kDITLWindowFrameTOffset + sizeof(float);
const ulong kDITLWindowFrameHOffset = kDITLWindowFrameWOffset + sizeof(float);
/*
const ulong kDITLWindowNameOffset = kDITLWindowFrameOffset + sizeof(BRect);
const ulong kDITLWindowNameLen = 64;
const ulong kDITLWindowTypeOffset = kDITLWindowNameOffset + kDITLWindowNameLen;
const ulong kDITLWindowFlagsOffset = kDITLWindowTypeOffset + sizeof(long);
const ulong kDITLWindowWSOffset = kDITLWindowFlagsOffset + sizeof(long);
*/

const long kDITLWindowSize = kDITLWindowFrameHOffset + sizeof(float) - kDITLWindowInfoOffset;
const long kDITLHeaderSize = kDITLWindowInfoOffset + kDITLWindowSize;


// view header
const ulong kDITLViewSize = 0;
const ulong kDITLViewID = kDITLViewSize + sizeof(long);
const ulong kDITLViewParentID = kDITLViewID + sizeof(long);

// view info
const ulong kDITLViewType = kDITLViewParentID + sizeof(long);
const ulong kDITLViewFrameL = kDITLViewType + sizeof(long);
const ulong kDITLViewFrameT = kDITLViewFrameL + sizeof(float);
const ulong kDITLViewFrameR = kDITLViewFrameT + sizeof(float);
const ulong kDITLViewFrameB = kDITLViewFrameR + sizeof(float);
const ulong kDITLViewName = kDITLViewFrameB + sizeof(float);
const ulong kDITLViewNameLen = 64;
const ulong kDITLViewResize = kDITLViewName + kDITLViewNameLen;

// view type info

// BView & BBox
const ulong kDITLViewColor= kDITLViewResize + sizeof(long);

// BBox
const ulong kDITLBoxTitle = kDITLViewColor + sizeof(long);
const ulong kDITLBoxTitleLen = 64;

// BButton, BRadioButton, and BCheckBox
const ulong kDITLControlTitle = kDITLViewResize + sizeof(long);
const ulong kDITLControlTitleLen = 64;
const ulong kDITLControlMessage = kDITLControlTitle + kDITLControlTitleLen;

// BButon
const ulong kDITLButtonDefault = kDITLControlMessage + sizeof(long);

// BStringView
const ulong kDITLStringText = kDITLViewResize + sizeof(long);
const ulong kDITLStringTextLen = 64;
const ulong kDITLStringAlign = kDITLStringText + kDITLStringTextLen;

// BTextControl
const ulong kDITLTextCLabel = kDITLViewResize + sizeof(long);
const ulong kDITLTextCLabelLen = 64;
const ulong kDITLTextCDivider = kDITLTextCLabel + kDITLTextCLabelLen;

