#ifndef _MYPALETTE_H_
#define _MYPALETTE_H_

/*
	myPalette.h
	Copyright 1997 Nathan Dwyer, All Rights Reserved.
	
	Gadget palette for DITL editor
*/


typedef ulong EDItemType;

const EDItemType EType_None = 'DiNo';


struct SItemInfo
{
	EDItemType type;
	char name[ 32 ];
//	int index;
	
	// Palette Info
//	float btnLeft, btnTop, btnRight, btnBottom;
	char btnTitle[ 2 ];
	
	float minW, minH;
	float maxW, maxH;
	float offL, offT, offR, offB;

	float startW, startH;
		
	bool isContainer;
	
	// resource file stuff
	long rsrcSize;
	
	// dynamic info
	record_ref pluginRef;
	image_id pluginImage;
};


class CPalette : public BWindow
{
	public:
		CPalette( const char *title, const record_ref& pluginRef );
		virtual ~CPalette();
		
		virtual void MessageReceived(BMessage *message);

		static const SItemInfo *GetInfo( EDItemType type );
		
		void SetSelection( EDItemType type );
		EDItemType GetType() { return mType; }
		
	private:
		void _LoadPlugins( const record_ref& pluginRef );
		void _LayoutPalette();
		
		static BList mControlInfo;
		static BList mPaletteInfo;
		
		EDItemType mType;
};


#endif	// _MYPALETTE_H_