#ifndef _MYWINDOW_H_
#define _MYWINDOW_H_

/*
	myWindow.h
	Copyright 1997 Nathan Dwyer, All Rights Reserved.
*/


#include "BredPlugin.h"

#include "colors.h"
#include "DITLPalette.h"
#include "DITLFormat.h"
#include "DragFrame.h"
#include "DragManager.h"

const long kWriteAll = -1L;
const long kWriteWindow = -2L;

const ulong kUpdateRsrcMsg = 'DiUP';
const ulong kSaveAllMsg = 'SvAl';
const ulong kCutMsg = 'DCut';
const ulong kCopyMsg = 'DCpy';
const ulong kPasteMsg = 'CPst';


class CWindow : public BredPlugin
{
	public:
		CWindow( const char *name, DBlock& databuf );
		virtual ~CWindow();

		// BRed overrides
		virtual void SetupInterface(void);
		virtual	void DataChanged(void);
		
		// BeOS API overrides
		virtual	bool QuitRequested();
		virtual void MessageReceived( BMessage *message );
		virtual void FrameResized( float width, float height );
				
		// Functionality
		void HandleKeyboard( BMessage *msg );
		
		void UpdateResource( long controlID );
		
		// Accessors
		CPalette *GetPalette() { return mpPalette; }
		CDragManagerView *GetDragMgr() { return mpDragMgr; }
		
	private:
		static CPalette *mpPalette;
		static short mPalUseCnt;
		
		CDragManagerView *mpDragMgr;
		
		long _RsrcSz( void );
		void _ReadData();
		void _WriteData( long item );
};



#endif
