#ifndef _DRAGFRAME_H_
#define _DRAGFRAME_H_

/*
	DragFrame.h
	Copyright 1997 Nathan Dwyer, All Rights Reserved.
	
	A view that supports dragging and resizing
*/


class CDragFrame : public BView
{
	B_DECLARE_CLASS_INFO( BView );
	
	public:
		CDragFrame( BPoint where, EDItemType type );
		virtual ~CDragFrame();
		
		// Interface Kit over-rides
		virtual void AttachedToWindow( void );
		virtual	void Draw( BRect bounds );

		virtual void MouseDown( BPoint where );
		
		// Functionality 
		virtual void SetSelected( bool isSelected );
		virtual bool IsSelected() const { return mIsSelected; }
		
		virtual void HandleMouse( BPoint where );
		virtual bool MoveFrame( BPoint& delta );
		
		CDragFrame *GetChild( long id );
		
		void ClearEditWindow() { printf( "ClearEditWindow\n" ); mpEditWin = NULL; }
				
		// I/O
		virtual long GetSz() const;
		
		virtual long Write( bool recurse, DBlock& buffer, long offset );
		virtual void Read( DBlock& buffer, long offset );
		
		// Accessors
		BView *GetControl() { return mpControl; }
		long GetID() const { return mID; }
		const SItemInfo *GetTypeInfo() const { return mpTypeInfo; }
		
	protected:
		const SItemInfo *mpTypeInfo;
		BView *mpControl;
		
		bool mIsSelected;
		long mID;
		
		BWindow *mpEditWin;
		
		long _WriteChildren( DBlock& buffer, long offset );
};


#endif	// _DRAGFRAME_H_