#ifndef _DRAGMANAGER_H_
#define _DRAGMANAGER_H_

/*
	DragManager.h
	Copyright 1997 Nathan Dwyer, All Rights Reserved.
	
	A container view that lets its children be dragged
*/

#include "DITLWindow.h"


class CDragManagerView : public CDragFrame
{
	B_DECLARE_CLASS_INFO( CDragFrame );

	public:
		CDragManagerView( BRect frame, const char *name );
		virtual ~CDragManagerView();

		virtual void AttachedToWindow( void );
		virtual void MouseDown( BPoint point );

		// Functionality 
		virtual void HandleMouse( BPoint where ) {};
		
		bool AddSelection( CDragFrame *pView );
		void ClearSelectionList();
		
		void RemoveSelected();
		void AlignSelected( long dirKey );
		void NudgeSelected( long dirKey );
	
		// I/O
		virtual long Write( bool recurse, DBlock& buffer, long offset );
		virtual void ReadViews( DBlock& buffer );

		// accessors
		long NextID() const { return mNextID; }
		void SetNextID( long id ) { mNextID = id; }
		long GetNewID() { return mNextID++; }
		
	private:
		BPopUpMenu *mpMenu;
		
		BList mSelectList;
		long mNextID;
};



#endif	// _DRAGMANAGER_H_