#ifndef _VIEWEDITOR_H_
#define _VIEWEDITOR_H_

/*
	ViewEditorBase.h
	Copyright 1997 Nathan Dwyer, All Rights Reserved.
	
	Mediator class for a view editor.
	Has a function pointer to hand messages off to, and
	knows how to load the dialog resource from the file
*/


const ulong kInitMsg = 'VeIn';
const ulong kApplyMsg = 'VeAp';


class CWindow;

class CEditorWindow : public BWindow
{
	public:
		CEditorWindow( CDragFrame *pFrame, const char *rsrcData, ulong rsrcLen );
		
		virtual bool QuitRequested();
		virtual	void MessageReceived(BMessage *message);

		virtual void Init( void ) =0;

	protected:
		CDragFrame *GetFrame() { return mpFrame; }
		
		virtual void _Apply( void ) =0;
		
	private:
		CDragFrame *mpFrame;
		ulong mRsrcID;
		
		void _LoadInterface( const char *pData, ulong rsrcLen );
		BView *_CreateView( const char *pData );
};


#endif